Package: org.codehaus.groovy.ant

## [Java] Class FileIterator

- org.codehaus.groovy.ant.FileIterator

- All Implemented Interfaces and Traits:
    Iterator

      public class FileIterator
      extends Object

  `FileIterator` is an iterator over a number of files from a collection of FileSet instances.

  Authors:
    James Strachan
  Version:
    \$Revision\$

- - ### Constructor Summary

    Constructors
    Constructor and description
    `FileIterator (Project project, Iterator<FileSet> fileSetIterator)`
    `FileIterator (Project project, Iterator<FileSet> fileSetIterator, boolean iterateDirectories)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `hasNext()` @return true if there is another object that matches the given predicate
    `Object` | `next()` @return the next object which matches the given predicate
    `void` | `remove()` throws UnsupportedOperationException

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public FileIterator(Project project, Iterator<FileSet> fileSetIterator)

    - #### public FileIterator(Project project, Iterator<FileSet> fileSetIterator, boolean iterateDirectories)

  - ### Method Detail

    - #### public boolean hasNext()

      Returns:
        true if there is another object that matches the given predicate

    - #### public Object next()

      Returns:
        the next object which matches the given predicate

    - #### public void remove()

      throws UnsupportedOperationException